var qiniu=require('qiniu');

//要上传的空间
var bucket = 'zonghuan';

//构建上传策略函数
function uptoken(bucket, key) {
  var putPolicy = new qiniu.rs.PutPolicy(bucket+":"+key);
  return putPolicy.token();
}

//构造上传函数
function uploadFile(uptoken, key, localFile) {
  var extra = new qiniu.io.PutExtra();
  return new Promise(function(resolve,reject){
    qiniu.io.putFile(uptoken, key, localFile, extra, function(err, ret) {
      if(!err) {
        // 上传成功， 处理返回值
        resolve(ret);
      } else {
        // 上传失败， 处理返回代码
        reject(err);
      }
    });
  });
}

//调用uploadFile上传
module.exports=function(key,localFile,accessKey,secretKey){
  qiniu.conf.ACCESS_KEY = accessKey;
  qiniu.conf.SECRET_KEY = secretKey;
  var token = uptoken(bucket,key);
  return uploadFile(token,key,localFile);
};
