#!/usr/bin/env node

var gs = require('glob-stream');
var upload = require('./upload.js');
var path = require('path');
var chalk = require('chalk');

var namespace='web';
var baseDir = 'dist';
var program = require('commander');

program
  .description('七牛云快捷上传工具')
  .command('up')
  .option("-n, --namespace [namespace]", "上传的cdn文件夹名称")
  .option('-d, --baseDir [baseDir]', "上传的本地文件夹目录")
  .option('-b, --bucket [bucket]', "上传的cdn地址")
  .option('-a, --accessKey [accessKey]', "七牛云的ACCESS_KEY")
  .option('-s, --secretKey [secretKey]', "七牛云的SECRET_KEY")
  .action(function(env, options){
    if(!env.namespace){
      console.log('请填写namespace参数,-n');
      return;
    }
    if(!env.baseDir){
      console.log('请填写baseDir参数,-d');
      return;
    }
    if(!env.bucket){
      console.log('请填写bucket参数,-b');
      return;
    }
    if(!env.accessKey){
      console.log('请填写accessKey,-a');
      return;
    }
    if(!env.secretKey){
      console.log('请填写secretKey,-s');
      return;
    }
    gs.create('./**/*.*',{cwd:path.join(process.cwd(),env.baseDir)}).on('data',function(file){
      var filepath=path.join(env.namespace,path.relative(file.cwd,file.path));
      var promise=upload(filepath,file.path,env.accessKey,env.secretKey);
      promise.then(function(res){
        var url = env.bucket+path.sep+res.key;
        console.log('成功上传文件:'+chalk.green.underline(url));
      });
    });
  });

program.parse(process.argv);
